#!/bin/ksh

#**************************************************************
# Author: Martial Mancip
# Contact: Martial.Mancip_ipsl.jussieu.fr
# $Date: 2008-05-29 11:02:19 +0200 (Thu, 29 May 2008) $
# $Author: mmaipsl $
# $Revision: 5 $
# IPSL (2006)
#  This software is governed by the CeCILL licence see libIGCM/libIGCM_CeCILL.LIC
#
#**************************************************************

#!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
# We change _Fillvalue to old missing_value    !!!!
#!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

function IGCM_Patch_20090317_histcom__Fillvalue {
    IGCM_debug_PushStack "IGCM_Patch_histcom__Fillvalue" $@
 
    typeset file

    file=t_$1
    IGCM_sys_Mv ${1} ${file}
    IGCM_sys_Chmod 644 ${file}

    IGCM_sys_ncrename -O --hst -a _Fillvalue,missing_value ${file}

    IGCM_sys_Mv ${file} ${1}
    
    IGCM_debug_PopStack "IGCM_Patch_histcom__Fillvalue"
}
